Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035622
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2017-03-27 12:082017-05-29 17:43
ReporterinigosanchezView Statuspublic 
Assigned Toinigosanchez 
PriorityhighResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisionf5066d8a85b5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035622: Improve performance of the Entity Access Checker process

DescriptionSet of tasks and improvements that can be applied to the Entity Access Checker process with the objective of improving its performance/scalability.

More info http://wiki.openbravo.com/wiki/Projects:EntityAccessChecker_Perfomance_Improvements [^]
Steps To Reproduce.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0035386 closedcaristu Login page needs some clean up 
related to defect 0033134 closedinigosanchez ImportEntryProcessor calls initialize() 2 times on OBContext switch causing extra db queries 

-  Notes
(0095867)
hgbot (developer)
2017-04-06 16:25

Repository: erp/devel/pi
Changeset: f5066d8a85b557f8338c3ca46554851fb625d21b
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Thu Apr 06 16:12:11 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f5066d8a85b557f8338c3ca46554851fb625d21b [^]

Fixed issue 35622: EntityAccessChecker Perfomance Improvements project

This project aims to group a set of tasks and improvements that will applied to the
EntityAccessChecker with the objective of improving the performance of this process.

---
M src/org/openbravo/dal/security/EntityAccessChecker.java
---
(0095885)
alostale (developer)
2017-04-07 08:29

reviewed within project
(0096866)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-27 12:08 inigosanchez New Issue
2017-03-27 12:08 inigosanchez Assigned To => platform
2017-03-27 12:08 inigosanchez Modules => Core
2017-03-27 12:08 inigosanchez Triggers an Emergency Pack => No
2017-03-27 12:08 inigosanchez Assigned To platform => inigosanchez
2017-03-27 12:09 inigosanchez Status new => acknowledged
2017-04-06 16:09 inigosanchez Status acknowledged => scheduled
2017-04-06 16:09 inigosanchez Review Assigned To => alostale
2017-04-06 16:25 hgbot Checkin
2017-04-06 16:25 hgbot Note Added: 0095867
2017-04-06 16:25 hgbot Status scheduled => resolved
2017-04-06 16:25 hgbot Resolution open => fixed
2017-04-06 16:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f5066d8a85b557f8338c3ca46554851fb625d21b [^]
2017-04-07 08:28 alostale Tag Attached: Performance
2017-04-07 08:28 alostale Relationship added related to 0035386
2017-04-07 08:29 alostale Note Added: 0095885
2017-04-07 08:29 alostale Status resolved => closed
2017-04-07 08:29 alostale Fixed in Version => 3.0PR17Q3
2017-05-29 13:31 shuehner Relationship added related to 0033134
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096866


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker